Requires read_payment access scope.
For more info, refer to:
GET https://{handle}.myshopline.com/admin/openapi/v20260901/payments/store/payouts.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Get the payout records of the store. A payout refers to the transfer of funds from the SHOPLINE Payments account to the store's bank account.
Query Parameters
  • page_info string
    The unique identifier for pagination queries, used to locate a specific page.
    This parameter value is obtained from the link value in the response header of this API after you have queried the pagination information.
    For example, if the link value you obtained is <https://{handle}.myshopline.com/admin/openapi/{version}/payments/store/payouts.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next" , the value of page_info is eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9 .
    For more information on how to use pagination, refer to Paging Mechanism.
  • payout_transaction_no string
    Payout transaction number, used to search for the payout transaction record by matching the exact number.
  • start_time string required
    Specify the earliest creation date and time for payout records to query. Payout records created on and after this time are returned. start_time and end_time parameters must be specified at the same time. The time interval between start_time and end_time cannot exceed 3 months. Format: ISO 8601.
    Example: 2025-04-30T00:00:00+08:00
  • end_time string required
    Specify the latest creation date and time for payout records to query. Payout records created on and before this time are returned. start_time and end_time parameters must be specified at the same time. The time interval between start_time and end_time cannot exceed 3 months. Format: ISO 8601.
    Example: 2025-04-30T00:00:00+08:00
  • limit string required
    Maximum number of records to be returned in the query. The maximum number cannot exceed 100.
    Default value: 50
  • since_id string
    Payout transaction number, used to filter the payout records processed before this payout transaction number.
  • status string
    The payout status. Valid values are:
    • CREATED: Created
    • PROCESSING: Processing
    • SUCCESS: Payout completed
    • FAILED: Payout failed
  • merchant_id string
    The unique identifier for the SHOPLINE Payments merchant.
    Example: 7492826657687125005
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • link
    The URL link that provides the pagination data. You can obtain page_info from this parameter for subsequent pagination requests.
    This parameter is returned when the requested page has a previous or next page.
    For more information on how to use pagination, refer to Paging Mechanism.
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • payoutsobject[]
    A list of payout records for the SHOPLINE Payments account.
  • amount string
    The payout amount. The value is rounded to two decimal places.
    Example: 12.34
  • currency string
    The payout currency. The value of this parameter is a three-letter currency code. Format: ISO 4217 .
    Example: USD
  • payout_transaction_no string
    The payout transaction number.
  • status string
    The payout status. Valid values are:
    • CREATED: Created
    • PROCESSING: Processing
    • SUCCESS: Payout completed
    • FAILED: Payout failed
  • time string
    The date and time when the payout transaction was created. Format: ISO 8601.
    Example: 2025-04-30T00:00:00+08:00
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901

ParamOptions

query required
query required
query required
header required
query
query
query
query
query

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901/payments/store/payouts.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Get the payout records of the store
Response
{
"payouts": [
{
"amount": "200.00",
"currency": "USD",
"payout_transaction_no": "3445155502174977728",
"status": "PROCESSING",
"time": "2025-07-04T16:54:30+08:00"
},
{
"amount": "1692.00",
"currency": "USD",
"payout_transaction_no": "3444590845854190240",
"status": "PROCESSING",
"time": "2025-07-04T07:33:34+08:00"
}
]
}
Was this article helpful to you?